# Uses of Class
java.security.AccessControlException

Packages that use AccessControlException
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of AccessControlException in java.security

Methods in java.security that throw AccessControlException
Modifier and Type
Method
Description
`void`
AccessControlContext.`checkPermission​(Permission perm)`
Determines whether the access request indicated by the specified permission should be allowed or denied, based on the security policy currently in effect, and the context in this object.
`static void`
AccessController.`checkPermission​(Permission perm)`
Determines whether the access request indicated by the specified permission should be allowed or denied, based on the current AccessControlContext and security policy.